import { Card } from "antd";
import moment from "moment";
import React from "react";
export default (props) => {
  const { memberList } = props;
  return (
    <Card style={{ width: "100%" }} title="会员信息">
      <Card.Grid>
        <Card.Meta title="会员名称" description={memberList?.memberName} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta title="手机号" description={memberList?.phone} />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta
          title="性别"
          description={
            memberList?.sex == 1 ? "男" : memberList?.sex == 2 ? "女" : "未知"
          }
        />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta
          title="状态"
          description={memberList?.status == 1 ? "正常" : "异常"}
        />
      </Card.Grid>
      <Card.Grid>
        <Card.Meta title="注册日期" description={moment(memberList?.bizDate).format("YYYY-MM-DD HH:mm:ss")} />
      </Card.Grid>
    </Card>
  );
};
